aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/efivarfs
diff options
context:
space:
mode:
authorShuah Khan (Samsung OSG) <shuah@kernel.org>2018-05-02 18:11:20 -0600
committerShuah Khan (Samsung OSG) <shuah@kernel.org>2018-05-30 15:21:52 -0600
commit1f0ea95853bd55a1812f2903b2f776853069f21f (patch)
tree2c72815da0e35dddd5501ac3f589214f15e162f9 /tools/testing/selftests/efivarfs
parentselftests: cpufreq: return Kselftest Skip code for skipped tests (diff)
downloadlinux-dev-1f0ea95853bd55a1812f2903b2f776853069f21f.tar.xz
linux-dev-1f0ea95853bd55a1812f2903b2f776853069f21f.zip
selftests: efivarfs: return Kselftest Skip code for skipped tests
When efivarfs test is skipped because of unmet dependencies and/or unsupported configuration, it returns 0 which is treated as a pass by the Kselftest framework. This leads to false positive result even when the test could not be run. Change it to return kselftest skip code when a test gets skipped to clearly report that the test could not be run. Kselftest framework SKIP code is 4 and the framework prints appropriate messages to indicate that the test is skipped. Signed-off-by: Shuah Khan (Samsung OSG) <shuah@kernel.org>
Diffstat (limited to 'tools/testing/selftests/efivarfs')
-rwxr-xr-xtools/testing/selftests/efivarfs/efivarfs.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/tools/testing/selftests/efivarfs/efivarfs.sh b/tools/testing/selftests/efivarfs/efivarfs.sh
index c6d5790575ae..a47029a799d2 100755
--- a/tools/testing/selftests/efivarfs/efivarfs.sh
+++ b/tools/testing/selftests/efivarfs/efivarfs.sh
@@ -4,18 +4,21 @@
efivarfs_mount=/sys/firmware/efi/efivars
test_guid=210be57c-9849-4fc7-a635-e6382d1aec27
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
check_prereqs()
{
local msg="skip all tests:"
if [ $UID != 0 ]; then
echo $msg must be run as root >&2
- exit 0
+ exit $ksft_skip
fi
if ! grep -q "^\S\+ $efivarfs_mount efivarfs" /proc/mounts; then
echo $msg efivarfs is not mounted on $efivarfs_mount >&2
- exit 0
+ exit $ksft_skip
fi
}